<?php

namespace App\Models\Result;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class MarkHead extends Model
{
    use HasFactory;
    protected $guarded = [];

    public function examRecords()
    {
        return $this->hasMany(ExamRecord::class, 'mark_head_id');
    }

    public function markHeadAssigns()
    {
        return $this->hasMany(MarkHeadAssign::class, 'head_marks');
    }

}
